#include <Telemetre_SRF10.h>
#include "i2c.h"

// Mesure Télémètre SRF10
int16_t Mesure_Telemetre(void){
	int16_t distance_US;
	uint8_t donnees_Tx_i2c[2];
	uint8_t donnees_Rx_i2c[2];
	donnees_Tx_i2c[0]=0x00;
	donnees_Tx_i2c[1]=0x51;
	while (HAL_I2C_GetState(&hi2c1) != HAL_I2C_STATE_READY);
	HAL_I2C_Master_Transmit(&hi2c1, (uint16_t)ADDRESS_SRF10<<1, donnees_Tx_i2c, 2, 1000);
	HAL_Delay(100); //ATTENTION pas terrible avec le lidar une telle attente !
	donnees_Tx_i2c[0]=0x02;
	while (HAL_I2C_GetState(&hi2c1) != HAL_I2C_STATE_READY);
	HAL_I2C_Master_Transmit(&hi2c1, (uint16_t)ADDRESS_SRF10<<1, donnees_Tx_i2c, 1, 1000);
	while (HAL_I2C_GetState(&hi2c1) != HAL_I2C_STATE_READY);
	HAL_I2C_Master_Receive(&hi2c1, (uint16_t)ADDRESS_SRF10<<1, donnees_Rx_i2c, 2, 1);
	distance_US = (uint16_t)(donnees_Rx_i2c[0]<<8) + donnees_Rx_i2c[1];
	return distance_US;
}
